Bug 53307 - logrotate setting unreasonable
logrotate setting unreasonable
Product: Red Hat Linux
Classification: Retired
Component: psacct (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Depends On:
  Show dependency treegraph
Reported: 2001-09-06 08:13 EDT by j. alan eldridge
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-06 08:13:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description j. alan eldridge 2001-09-06 08:13:10 EDT
Description of Problem:

The default setting for psacct, which keep a month of logs, uncompressed, 
are pretty unreasonable, IMO. 

I've got a single user system, does do its own mail, but no ftp serving, 
and web serving limited to my own use at my job through access files.

My /var/log/psacct files average about 1.5G/week. So that's > 6G reserved 
for /var/log/psacct* files. 

I've cut it down to 2 weeks and gzipped 'em and I'm using 500M. That's 
plenty right there.

Suggest at least adding "compress" to the logrotate defaults. I see 
rawhide rotates daily, but still does not compress, and still keeps a 
month. At the least, people need to warned that even this setting will 
use up a gig of log space with compression.

And, of course, when /var runs out of space, it's not very pretty ....

BTW I had to log in 6 six times to query and then post this bug. And I 
have the cookies. Auuuggghh!!!!!
Comment 1 Mike A. Harris 2001-09-07 15:14:05 EDT
Yep, agreed.  I've added "compress" to logrotate, and rebuilt.
Will be in final release, thanks for the report.

The cookie problem is likely due to firewall issues or proxy.
I've heard reports like that before.  If not, I'm not sure.
File a bug report against bugzilla itself.

Take care.

Note You need to log in before you can comment on or make changes to this bug.